<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateCuenta extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('cuenta')
			->addColumn('inmobiliaria', 'integer', ['length' => 8, 'null' => false, 'signed' => false])
			->addColumn('banco', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('cuenta', 'string', ['length' => 50, 'null' => false])
			->addForeignKey('inmobiliaria', 'inmobiliaria', 'rut', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('banco', 'banco', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
